%define	upstream_name	 IO-Compress-Lzop
%define upstream_version 2.096

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    IO::Compress::Lzop - Write lzop files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::LZO)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Base) >= 2.96.0
BuildRequires: perl(IO::Uncompress::Base) >= 2.96.0
BuildArch:  noarch

%description
This module provides a Perl interface that allows writing lzop compressed
data to files or buffer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Sat Aug 01 2020 tv <tv> 2.96.0-1.mga8
+ Revision: 1610332
- update to 2.096

* Tue Jul 21 2020 tv <tv> 2.95.0-1.mga8
+ Revision: 1607554
- update to 2.095

* Wed Jul 15 2020 tv <tv> 2.94.0-1.mga8
+ Revision: 1606272
- update to 2.094

* Tue Feb 18 2020 umeabot <umeabot> 2.93.0-2.mga8
+ Revision: 1539578
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 tv <tv> 2.93.0-1.mga8
+ Revision: 1465275
- update to 2.093

* Thu Dec 05 2019 tv <tv> 2.92.0-1.mga8
+ Revision: 1464508
- update to 2.092

* Sun Nov 24 2019 tv <tv> 2.91.0-1.mga8
+ Revision: 1462649
- update to 2.091

* Mon Nov 11 2019 tv <tv> 2.90.0-1.mga8
+ Revision: 1459301
- update to 2.090

* Mon Nov 04 2019 tv <tv> 2.89.0-1.mga8
+ Revision: 1457687
- update to 2.089

* Sun Aug 11 2019 tv <tv> 2.87.0-1.mga8
+ Revision: 1428701
- update to 2.087

* Mon Apr 01 2019 tv <tv> 2.86.0-1.mga7
+ Revision: 1384632
- update to 2.086

* Tue Jan 08 2019 tv <tv> 2.84.0-1.mga7
+ Revision: 1352038
- update to 2.084

* Tue Jan 01 2019 tv <tv> 2.83.0-1.mga7
+ Revision: 1347934
- update to 2.083

* Thu Sep 20 2018 umeabot <umeabot> 2.81.0-3.mga7
+ Revision: 1284294
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 tv <tv> 2.81.0-2.mga7
+ Revision: 1234629
- rebuild for perl 5.26.2

* Tue Apr 10 2018 kekepower <kekepower> 2.81.0-1.mga7
+ Revision: 1217333
- Fix BuildRequires
- Update to version 2.081

* Wed Aug 02 2017 sander85 <sander85> 2.74.0-1.mga7
+ Revision: 1134145
- update to 2.074

* Thu May 12 2016 tv <tv> 2.69.0-3.mga6
+ Revision: 1014030
- rebuild for perl-5.22

* Fri Jan 01 2016 tv <tv> 2.69.0-2.mga6
+ Revision: 917973
- rebuild for new perl

* Mon Sep 28 2015 sander85 <sander85> 2.69.0-1.mga6
+ Revision: 884669
- update to 2.069

* Mon Jun 29 2015 sander85 <sander85> 2.68.0-1.mga6
+ Revision: 848048
- update to 2.068

* Wed Oct 15 2014 umeabot <umeabot> 2.64.0-3.mga5
+ Revision: 743865
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.64.0-2.mga5
+ Revision: 685055
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 2.64.0-1.mga5
+ Revision: 593616
- update to 2.064

* Sat Oct 19 2013 umeabot <umeabot> 2.62.0-2.mga4
+ Revision: 531950
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 2.62.0-1.mga4
+ Revision: 465972
- update to 2.062

* Mon Jun 10 2013 jquelin <jquelin> 2.61.0-1.mga4
+ Revision: 441607
- update to 2.061

* Sun Jan 13 2013 umeabot <umeabot> 2.58.0-2.mga3
+ Revision: 368477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317913
- update to 2.058

* Mon Sep 17 2012 jquelin <jquelin> 2.55.0-1.mga3
+ Revision: 295349
- update to 2.055

* Tue Jun 05 2012 jquelin <jquelin> 2.52.0-1.mga3
+ Revision: 255030
- update to 2.052

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 220124
- update to 2.049

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 177066
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175797
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175697
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169336
- update to 2.042

* Tue Nov 08 2011 jquelin <jquelin> 2.40.0-1.mga2
+ Revision: 165453
- remove MYMETA from %%doc
- update to 2.040

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112418
- update to 2.037

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 109058
- update to 2.035

* Thu Feb 17 2011 dmorgan <dmorgan> 2.33.0-1.mga1
+ Revision: 52951
- New version

* Sun Jan 23 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 33869
- mageia rebuild
- imported package perl-IO-Compress-Lzop

